Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1808347 - fail2ban fails to build with Python 3.9: uses removed threading.Thread.isAlive()
Summary: fail2ban fails to build with Python 3.9: uses removed threading.Thread.isAlive()
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fail2ban
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-02-28 09:54 UTC by Miro Hrončok
Modified: 2020-03-19 01:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-19 01:10:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github fail2ban fail2ban issues 2646 0 None open python 3.9 threading changes 2020-03-18 18:08:47 UTC

Description Miro Hrončok 2020-02-28 09:54:24 UTC
fail2ban fails to build with Python 3.9.0a4.

ERROR: test_del_file (fail2ban.tests.filtertestcase.MonitorFailures<FilterPoll>(/tmp/monitorfailures_FilterPoll__nshi9c2fail2ban))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "./fail2ban/tests/filtertestcase.py", line 987, in setUp
    self._sleep_4_poll()
  File "./fail2ban/tests/filtertestcase.py", line 1008, in _sleep_4_poll
    Utils.wait_for(self.filter.isAlive, _maxWaitTime(5))
AttributeError: 'FilterPoll' object has no attribute 'isAlive'


And more. This looks like:

See https://docs.python.org/3.9/whatsnew/3.9.html#removed

"The isAlive() method of threading.Thread has been removed. It was deprecated since Python 3.8. Use is_alive() instead."

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01255081-fail2ban/

For all our attempts to build fail2ban with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/fail2ban/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Orion Poplawski 2020-02-28 15:20:54 UTC
Reported upstream


Note You need to log in before you can comment on or make changes to this bug.